Bug 211016 - net/p5-WebService-Dropbox and net/dropbox-api-command: Update to 2.05 and 2.03 respectively
Summary: net/p5-WebService-Dropbox and net/dropbox-api-command: Update to 2.05 and 2.0...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL: https://reviews.freebsd.org/D7377
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-11 19:00 UTC by Ben Woods
Modified: 2016-08-03 15:32 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (changlp)


Attachments
Patch to update net/p5-WebService-Dropbox and net/dropbox-api-command (7.56 KB, patch)
2016-07-11 19:08 UTC, Ben Woods
no flags Details | Diff
Patch to update net/p5-WebService-Dropbox and net/dropbox-api-command (7.94 KB, patch)
2016-07-12 20:53 UTC, Ben Woods
no flags Details | Diff
Patch to update net/p5-WebService-Dropbox and net/dropbox-api-command (7.95 KB, patch)
2016-07-18 11:02 UTC, Ben Woods
woodsb02: maintainer-approval? (changlp)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2016-07-11 19:00:41 UTC
The attached patch updates the following related ports to the latest upstream release:
net/p5-WebService-Dropbox to 2.05
net/dropbox-api-command to 2.03

This update brings support for Dropbox APIv2. This is required since, according to dropbox, the API v1 will be disabled on 28th June 2017:
https://blogs.dropbox.com/developers/2016/06/api-v1-deprecated/

It also changes the maintainer from changlp@cs.nctu.edu.tw to myself - an offer since I noticed Lung-Pin offered this for another port in PR 207943.
Comment 1 Ben Woods freebsd_committer 2016-07-11 19:08:07 UTC
Created attachment 172389 [details]
Patch to update net/p5-WebService-Dropbox and net/dropbox-api-command
Comment 2 Ben Woods freebsd_committer 2016-07-12 20:53:50 UTC
Created attachment 172427 [details]
Patch to update net/p5-WebService-Dropbox and net/dropbox-api-command

Updated patch to tidy up a bit further and update net/dropbox-api-command to 2.05.

Note: in my runtime testing of this I am seeing some errors, so it is not ready to commit yet. I have contacted the author and will update the patch based on feedback.

In the meantime, Lung-Pin please let me know what you think of this patch, and if you would like me to take maintainership or not. Thanks :)
Comment 3 Ben Woods freebsd_committer 2016-07-18 11:02:01 UTC
Created attachment 172640 [details]
Patch to update net/p5-WebService-Dropbox and net/dropbox-api-command

This is an updated patch to fix issues with syncing by updating to dropbox-api-command 2.09 (after discussions with the upstream developer to fix the issues). It is all working now, and ready for commit.

Any comments Lung-Pin?

Thanks, Ben
Comment 4 Ben Woods freebsd_committer 2016-07-30 08:17:08 UTC
Lung-Pin: Any comments? Are you happy for me to take maintainership of these ports?
Comment 5 commit-hook freebsd_committer 2016-08-03 15:32:06 UTC
A commit references this bug:

Author: woodsb02
Date: Wed Aug  3 15:31:17 UTC 2016
New revision: 419531
URL: https://svnweb.freebsd.org/changeset/ports/419531

Log:
  net/p5-WebService-Dropbox: Update to 2.05
  net/dropbox-api-command: Update to 2.09

  This update brings support for Dropbox APIv2.
  This is required since, according to dropbox, the API v1 will be
  disabled on 28th June 2017:
  https://blogs.dropbox.com/developers/2016/06/api-v1-deprecated/

  Convert LWP option (off by default) to FURL option (on by default)
  as testing has revealed that without the p5-LWP-Protocol-https pkg
  installed, the following error is given even if the FURL option in enabled.
  $ dropbox-api sync dropbox:/ ~/Dropbox
  2016-07-31T14:09:57 [WebService::Dropbox] [ERROR] https://api.dropboxapi.com/2/files/list_folder {"path":"","recursive":true} -> [501] LWP will support https URLs if the LWP::Protocol::https module is installed.
  LWP will support https URLs if the LWP::Protocol::https module is installed.

  PR:		211016
  Reviewed by:	mat (mentor)
  Approved by:	Lung-Pin Chang <changlp@cs.nctu.edu.tw> (maintainer timeout), adamw (mentor)
  Differential Revision:	https://reviews.freebsd.org/D7377

Changes:
  head/net/dropbox-api-command/Makefile
  head/net/dropbox-api-command/distinfo
  head/net/dropbox-api-command/pkg-descr
  head/net/dropbox-api-command/pkg-plist
  head/net/p5-WebService-Dropbox/Makefile
  head/net/p5-WebService-Dropbox/distinfo
  head/net/p5-WebService-Dropbox/pkg-descr
  head/net/p5-WebService-Dropbox/pkg-plist
Comment 6 Ben Woods freebsd_committer 2016-08-03 15:32:36 UTC
Committed, thanks :)